# Mixinet OCI images repository

This repository contains `Dockerfiles` for images created for the [mixinet forgejo](https://forgejo.mixinet.net)
instance, all the images are available from the [OCI](https://forgejo.mixinet.dev/oci/) organization (the packages
section also contains mirrored images from other sources, see the [mirrors
project](https://forgejo.mixinet.net/oci/mirrors) for those).

The repository is a monorepo managed using [multi-semantic-release](https://github.com/qiwi/multi-semantic-release).

## Bootstraping

As some of the workflows use images generated on the repository itself, the first step is to build the required images
locally and push them to the registry (we are assuming that the user has already done a `docker login` with the right
credentials, of course):

```bash
for img in alpine-mixinet node-mixinet multi-semantic-release; do
  docker build -t forgejo.mixinet.net/oci/$img:1.0.0 $img
  docker tag forgejo.mixinet.net/oci/$img:1.0.0 forgejo.mixinet.net/oci/$img:latest
  docker push forgejo.mixinet.net/oci/$img:1.0.0
  docker push forgejo.mixinet.net/oci/$img:latest
done
```

Once the images are pushed we should run the mirrors workflow to make sure that things will work as expected once we try
to build any image, as the `OCI_MIRROR_PREFIX` is passed to the build image job.
